<?php

namespace App\Http\Requests;

use App\Models\Esealtracking;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateEsealtrackingRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('esealtracking_edit');
    }

    public function rules()
    {
        return [
            'truckno' => [
                'string',
                'required',
            ],
            'container_no' => [
                'string',
                'required',
            ],
            'size' => [
                'string',
                'required',
            ],
            'eseal_no' => [
                'string',
                'required',
            ],
            'shipping_bill' => [
                'string',
                'required',
            ],
            'shipping_date' => [
                'string',
                'required',
            ],
            'sealing_date' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'custodian_name' => [
                'string',
                'required',
            ],
            'reach_time' => [
                'string',
                'nullable',
            ],
            'status' => [
                'string',
                'nullable',
            ],
            'remark' => [
                'string',
                'nullable',
            ],
        ];
    }
}
