<?php

namespace App\Http\Requests;

use App\Models\RegisteredExporter;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateRegisteredExporterRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('registered_exporter_edit');
    }

    public function rules()
    {
        return [
            'import_export_code' => [
                'string',
                'required',
            ],
            'exporter_company_name' => [
                'string',
                'required',
            ],
            'contact_mobile_no' => [
                'string',
                'required',
            ],
            'gst_number' => [
                'string',
                'required',
            ],
            'pan_number' => [
                'string',
                'required',
            ],
            'email' => [
                'required',
            ],
            'address' => [
                'required',
            ],
            'postal_code' => [
                'string',
                'required',
            ],
            'self_sealing_approval_no' => [
                'string',
                'required',
            ],
            'self_sealing_approval_date' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'self_sealing_approved_by' => [
                'string',
                'required',
            ],
            'commissionerate_address' => [
                'required',
            ],
        ];
    }
}
