<?php

namespace App\Observers;

use App\Models\Seal;
use App\Notifications\DataChangeEmailNotification;
use Illuminate\Support\Facades\Notification;

class SealActionObserver
{
    public function created(Seal $model)
    {
        $data  = ['action' => 'created', 'model_name' => 'Seal'];
        $users = \App\Models\User::whereHas('roles', function ($q) { return $q->where('title', 'Admin'); })->get();
        Notification::send($users, new DataChangeEmailNotification($data));
    }

    public function updated(Seal $model)
    {
        $data  = ['action' => 'updated', 'model_name' => 'Seal'];
        $users = \App\Models\User::whereHas('roles', function ($q) { return $q->where('title', 'Admin'); })->get();
        Notification::send($users, new DataChangeEmailNotification($data));
    }
}
