@extends('layouts.admin')
@section('content')
@can('export_create')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('admin.exports.create') }}">
                {{ trans('global.add') }} {{ trans('cruds.export.title_singular') }}
            </a>
            <button class="btn btn-warning" data-toggle="modal" data-target="#csvImportModal">
                {{ trans('global.app_csvImport') }}
            </button>
            @include('csvImport.modal', ['model' => 'Export', 'route' => 'admin.exports.parseCsvImport'])
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        {{ trans('cruds.export.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-Export">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            {{ trans('cruds.export.fields.id') }}
                        </th>
                        <th>
                            {{ trans('cruds.export.fields.trailer_reg_number') }}
                        </th>
                        <th>
                            {{ trans('cruds.export.fields.driver_license') }}
                        </th>
                        <th>
                            {{ trans('cruds.export.fields.driver_name') }}
                        </th>
                        <th>
                            {{ trans('cruds.export.fields.container_number') }}
                        </th>
                        <th>
                            {{ trans('cruds.export.fields.terminal_document') }}
                        </th>
                        <th>
                            {{ trans('cruds.export.fields.destination_custom') }}
                        </th>
                        <th>
                            {{ trans('cruds.export.fields.eseal') }}
                        </th>
                        <th>
                            {{ trans('cruds.export.fields.shipping_bill') }}
                        </th>
                        <th>
                            {{ trans('cruds.export.fields.sealing_date') }}
                        </th>
                        <th>
                            {{ trans('cruds.export.fields.shipping_date') }}
                        </th>
                        <th>
                            {{ trans('cruds.export.fields.container_size') }}
                        </th>
                        <th>
                            &nbsp;
                        </th>
                        <th>
                           PDF
                        </th>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <select class="search">
                                <option value>{{ trans('global.all') }}</option>
                                @foreach($ports as $key => $item)
                                    <option value="{{ $item->port_name }}">{{ $item->port_name }}</option>
                                @endforeach
                            </select>
                        </td>
                        <td>
                            <select class="search">
                                <option value>{{ trans('global.all') }}</option>
                                @foreach($seals as $key => $item)
                                    <option value="{{ $item->sn }}">{{ $item->sn }}</option>
                                @endforeach
                            </select>
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                        </td>
                        <td>
                        </td>
                        <td>
                            <select class="search">
                                <option value>{{ trans('global.all') }}</option>
                                @foreach($container_sizes as $key => $item)
                                    <option value="{{ $item->name }}">{{ $item->name }}</option>
                                @endforeach
                            </select>
                        </td>
                        <td>
                        </td>
                        <td>
                        </td>
                    </tr>
                </thead>
                <tbody>
                    @foreach($exports as $key => $export)
                        <tr data-entry-id="{{ $export->id }}">
                            <td>

                            </td>
                            <td>
                                {{ $export->id ?? '' }}
                            </td>
                            <td>
                                {{ $export->trailer_reg_number ?? '' }}
                            </td>
                            <td>
                                {{ $export->driver_license ?? '' }}
                            </td>
                            <td>
                                {{ $export->driver_name ?? '' }}
                            </td>
                            <td>
                                {{ $export->container_number ?? '' }}
                            </td>
                            <td>
                                {{ $export->terminal_document ?? '' }}
                            </td>
                            <td>
                                {{ $export->destination_custom->port_name ?? '' }}
                            </td>
                            <td>
                                {{ $export->eseal->sn ?? '' }}
                            </td>
                            <td>
                                {{ $export->shipping_bill ?? '' }}
                            </td>
                            <td>
                                {{ $export->sealing_date ?? '' }}
                            </td>
                            <td>
                                {{ $export->shipping_date ?? '' }}
                            </td>
                            <td>
                                {{ $export->container_size->name ?? '' }}
                            </td>
                            <td>
                                @can('export_show')
                                    <a class="btn btn-xs btn-primary" href="{{ route('admin.exports.show', $export->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                                @endcan

                                @can('export_edit')
                                    <a class="btn btn-xs btn-info" href="{{ route('admin.exports.edit', $export->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                                @endcan

                                @can('export_delete')
                                    <form action="{{ route('admin.exports.destroy', $export->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan

                            </td>
                            <td> <a href="{{ url('admin/pdfexports/'.$export->id) }}"><img width="20%;" src="{{ asset('images/PDF.png') }}"></a></td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('export_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.exports.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 10,
  });
  let table = $('.datatable-Export:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
let visibleColumnsIndexes = null;
$('.datatable thead').on('input', '.search', function () {
      let strict = $(this).attr('strict') || false
      let value = strict && this.value ? "^" + this.value + "$" : this.value

      let index = $(this).parent().index()
      if (visibleColumnsIndexes !== null) {
        index = visibleColumnsIndexes[index]
      }

      table
        .column(index)
        .search(value, strict)
        .draw()
  });
table.on('column-visibility.dt', function(e, settings, column, state) {
      visibleColumnsIndexes = []
      table.columns(":visible").every(function(colIdx) {
          visibleColumnsIndexes.push(colIdx);
      });
  })
})

</script>
@endsection