@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('cruds.export.title') }}
    </div>

    <div class="card-body">
        <div class="form-group">
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.exports.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.id') }}
                        </th>
                        <td>
                            {{ $export->id }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.trailer_reg_number') }}
                        </th>
                        <td>
                            {{ $export->trailer_reg_number }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.driver_license') }}
                        </th>
                        <td>
                            {{ $export->driver_license }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.driver_name') }}
                        </th>
                        <td>
                            {{ $export->driver_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.container_number') }}
                        </th>
                        <td>
                            {{ $export->container_number }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.terminal_document') }}
                        </th>
                        <td>
                            {{ $export->terminal_document }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.destination_custom') }}
                        </th>
                        <td>
                            {{ $export->destination_custom->port_name ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.eseal') }}
                        </th>
                        <td>
                            {{ $export->eseal->sn ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.shipping_bill') }}
                        </th>
                        <td>
                            {{ $export->shipping_bill }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.sealing_date') }}
                        </th>
                        <td>
                            {{ $export->sealing_date }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.shipping_date') }}
                        </th>
                        <td>
                            {{ $export->shipping_date }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.export.fields.container_size') }}
                        </th>
                        <td>
                            {{ $export->container_size->name ?? '' }}
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.exports.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>



@endsection