@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.port.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.ports.update", [$port->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label class="required" for="port_code">{{ trans('cruds.port.fields.port_code') }}</label>
                <input class="form-control {{ $errors->has('port_code') ? 'is-invalid' : '' }}" type="text" name="port_code" id="port_code" value="{{ old('port_code', $port->port_code) }}" required>
                @if($errors->has('port_code'))
                    <div class="invalid-feedback">
                        {{ $errors->first('port_code') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.port.fields.port_code_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="port_name">{{ trans('cruds.port.fields.port_name') }}</label>
                <input class="form-control {{ $errors->has('port_name') ? 'is-invalid' : '' }}" type="text" name="port_name" id="port_name" value="{{ old('port_name', $port->port_name) }}" required>
                @if($errors->has('port_name'))
                    <div class="invalid-feedback">
                        {{ $errors->first('port_name') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.port.fields.port_name_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection