@extends('layouts.admin')
<style type="text/css">
.switch {
  position: relative;
  display: inline-block;
  width: 50px;
  height: 24px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 16px;
  width: 16px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
</style>
@section('content')
@can('port_create')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('admin.ports.create') }}">
                {{ trans('global.add') }} {{ trans('cruds.port.title_singular') }}
            </a>
            <button class="btn btn-warning" data-toggle="modal" data-target="#csvImportModal">
                {{ trans('global.app_csvImport') }}
            </button>
            @include('csvImport.modal', ['model' => 'Port', 'route' => 'admin.ports.parseCsvImport'])
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        {{ trans('cruds.port.title_singular') }} {{ trans('global.list') }}
    </div>
<p id="message"></p>
    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-Port">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            {{ trans('cruds.port.fields.id') }}
                        </th>
                        <th>
                            {{ trans('cruds.port.fields.port_code') }}
                        </th>
                        <th>
                            {{ trans('cruds.port.fields.port_name') }}
                        </th>
                        <th>
                            &nbsp;
                        </th>
                        <th>
                            Status
                        </th>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                        </td>
                        <td>
                        </td>
                    </tr>
                </thead>
                <tbody>
                    @foreach($ports as $key => $port)
                        <tr data-entry-id="{{ $port->id }}">
                            <td>

                            </td>
                            <td>
                                {{ $port->id ?? '' }}
                            </td>
                            <td>
                                {{ $port->port_code ?? '' }}
                            </td>
                            <td>
                                {{ $port->port_name ?? '' }}
                            </td>
                            <td>
                                @can('port_show')
                                    <a class="btn btn-xs btn-primary" href="{{ route('admin.ports.show', $port->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                                @endcan

                                @can('port_edit')
                                    <a class="btn btn-xs btn-info" href="{{ route('admin.ports.edit', $port->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                                @endcan

                                @can('port_delete')
                                    <form action="{{ route('admin.ports.destroy', $port->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan

                            </td>
                            <td class="text-center"> 
                                <label class="switch">
                                  <input type="checkbox" data-id="{{$port->id}}" class="portstatus" id="portstatus"  {{ $port->status == "Active" ? 'checked' : '' }}>
                                  <span class="slider round"></span>
                                  </label>
                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.js"></script>
<script>
$(function() {
  $('.portstatus').change(function() {
      var status = $(this).prop('checked') == true ? 'Active' : 'Inactive'; 
      // alert(status);
      var id = $(this).data('id'); 
       
      $.ajax({
          type: "GET",
          dataType: "json",
          url: '/admin/portstatus',
          data: {'status': status,'id': id},
          success: function(data){
            console.log(data.success);
            if(data.success == "success"){
              //alert('Status Updated Succesfuly!');
               document.getElementById('message').innerHTML = '<div class="alert alert-warning"role="alert"><strong>Status Updated Succesfuly!</strong><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true"><i class="zmdi zmdi-close"></i></span></button></div>';
            }else{
              //alert('Status Updated Failed!');
          document.getElementById('message').innerHTML = '<h5 style="margin-top: 0px; margin-bottom: 15px;"><b>Status Updated Failed!</b></h5>';
            }
          }
      });
  })
})
</script> 
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('port_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.ports.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 10,
  });
  let table = $('.datatable-Port:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
let visibleColumnsIndexes = null;
$('.datatable thead').on('input', '.search', function () {
      let strict = $(this).attr('strict') || false
      let value = strict && this.value ? "^" + this.value + "$" : this.value

      let index = $(this).parent().index()
      if (visibleColumnsIndexes !== null) {
        index = visibleColumnsIndexes[index]
      }

      table
        .column(index)
        .search(value, strict)
        .draw()
  });
table.on('column-visibility.dt', function(e, settings, column, state) {
      visibleColumnsIndexes = []
      table.columns(":visible").every(function(colIdx) {
          visibleColumnsIndexes.push(colIdx);
      });
  })
})

</script>
@endsection