@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.registeredExporter.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.registered-exporters.store") }}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <label class="required" for="import_export_code">{{ trans('cruds.registeredExporter.fields.import_export_code') }}</label>
                <input class="form-control {{ $errors->has('import_export_code') ? 'is-invalid' : '' }}" type="text" name="import_export_code" id="import_export_code" value="{{ old('import_export_code', '') }}" required>
                @if($errors->has('import_export_code'))
                    <div class="invalid-feedback">
                        {{ $errors->first('import_export_code') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.import_export_code_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="exporter_company_name">{{ trans('cruds.registeredExporter.fields.exporter_company_name') }}</label>
                <input class="form-control {{ $errors->has('exporter_company_name') ? 'is-invalid' : '' }}" type="text" name="exporter_company_name" id="exporter_company_name" value="{{ old('exporter_company_name', '') }}" required>
                @if($errors->has('exporter_company_name'))
                    <div class="invalid-feedback">
                        {{ $errors->first('exporter_company_name') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.exporter_company_name_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="contact_mobile_no">{{ trans('cruds.registeredExporter.fields.contact_mobile_no') }}</label>
                <input class="form-control {{ $errors->has('contact_mobile_no') ? 'is-invalid' : '' }}" type="text" name="contact_mobile_no" id="contact_mobile_no" value="{{ old('contact_mobile_no', '') }}" required>
                @if($errors->has('contact_mobile_no'))
                    <div class="invalid-feedback">
                        {{ $errors->first('contact_mobile_no') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.contact_mobile_no_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="gst_number">{{ trans('cruds.registeredExporter.fields.gst_number') }}</label>
                <input class="form-control {{ $errors->has('gst_number') ? 'is-invalid' : '' }}" type="text" name="gst_number" id="gst_number" value="{{ old('gst_number', '') }}" required>
                @if($errors->has('gst_number'))
                    <div class="invalid-feedback">
                        {{ $errors->first('gst_number') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.gst_number_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="pan_number">{{ trans('cruds.registeredExporter.fields.pan_number') }}</label>
                <input class="form-control {{ $errors->has('pan_number') ? 'is-invalid' : '' }}" type="text" name="pan_number" id="pan_number" value="{{ old('pan_number', '') }}" required>
                @if($errors->has('pan_number'))
                    <div class="invalid-feedback">
                        {{ $errors->first('pan_number') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.pan_number_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="email">{{ trans('cruds.registeredExporter.fields.email') }}</label>
                <input class="form-control {{ $errors->has('email') ? 'is-invalid' : '' }}" type="email" name="email" id="email" value="{{ old('email') }}" required>
                @if($errors->has('email'))
                    <div class="invalid-feedback">
                        {{ $errors->first('email') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.email_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="address">{{ trans('cruds.registeredExporter.fields.address') }}</label>
                <textarea class="form-control {{ $errors->has('address') ? 'is-invalid' : '' }}" name="address" id="address" required>{{ old('address') }}</textarea>
                @if($errors->has('address'))
                    <div class="invalid-feedback">
                        {{ $errors->first('address') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.address_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="postal_code">{{ trans('cruds.registeredExporter.fields.postal_code') }}</label>
                <input class="form-control {{ $errors->has('postal_code') ? 'is-invalid' : '' }}" type="text" name="postal_code" id="postal_code" value="{{ old('postal_code', '') }}" required>
                @if($errors->has('postal_code'))
                    <div class="invalid-feedback">
                        {{ $errors->first('postal_code') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.postal_code_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="self_sealing_approval_no">{{ trans('cruds.registeredExporter.fields.self_sealing_approval_no') }}</label>
                <input class="form-control {{ $errors->has('self_sealing_approval_no') ? 'is-invalid' : '' }}" type="text" name="self_sealing_approval_no" id="self_sealing_approval_no" value="{{ old('self_sealing_approval_no', '') }}" required>
                @if($errors->has('self_sealing_approval_no'))
                    <div class="invalid-feedback">
                        {{ $errors->first('self_sealing_approval_no') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.self_sealing_approval_no_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="self_sealing_approval_date">{{ trans('cruds.registeredExporter.fields.self_sealing_approval_date') }}</label>
                <input class="form-control date {{ $errors->has('self_sealing_approval_date') ? 'is-invalid' : '' }}" type="text" name="self_sealing_approval_date" id="self_sealing_approval_date" value="{{ old('self_sealing_approval_date') }}" required>
                @if($errors->has('self_sealing_approval_date'))
                    <div class="invalid-feedback">
                        {{ $errors->first('self_sealing_approval_date') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.self_sealing_approval_date_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="self_sealing_approved_by">{{ trans('cruds.registeredExporter.fields.self_sealing_approved_by') }}</label>
                <input class="form-control {{ $errors->has('self_sealing_approved_by') ? 'is-invalid' : '' }}" type="text" name="self_sealing_approved_by" id="self_sealing_approved_by" value="{{ old('self_sealing_approved_by', '') }}" required>
                @if($errors->has('self_sealing_approved_by'))
                    <div class="invalid-feedback">
                        {{ $errors->first('self_sealing_approved_by') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.self_sealing_approved_by_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="commissionerate_address">{{ trans('cruds.registeredExporter.fields.commissionerate_address') }}</label>
                <textarea class="form-control {{ $errors->has('commissionerate_address') ? 'is-invalid' : '' }}" name="commissionerate_address" id="commissionerate_address" required>{{ old('commissionerate_address') }}</textarea>
                @if($errors->has('commissionerate_address'))
                    <div class="invalid-feedback">
                        {{ $errors->first('commissionerate_address') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.commissionerate_address_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="gst">{{ trans('cruds.registeredExporter.fields.gst') }}</label>
                <div class="needsclick dropzone {{ $errors->has('gst') ? 'is-invalid' : '' }}" id="gst-dropzone">
                </div>
                @if($errors->has('gst'))
                    <div class="invalid-feedback">
                        {{ $errors->first('gst') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.gst_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="iec">{{ trans('cruds.registeredExporter.fields.iec') }}</label>
                <div class="needsclick dropzone {{ $errors->has('iec') ? 'is-invalid' : '' }}" id="iec-dropzone">
                </div>
                @if($errors->has('iec'))
                    <div class="invalid-feedback">
                        {{ $errors->first('iec') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.iec_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="pan">{{ trans('cruds.registeredExporter.fields.pan') }}</label>
                <div class="needsclick dropzone {{ $errors->has('pan') ? 'is-invalid' : '' }}" id="pan-dropzone">
                </div>
                @if($errors->has('pan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('pan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.pan_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="cancelled_cheque">{{ trans('cruds.registeredExporter.fields.cancelled_cheque') }}</label>
                <div class="needsclick dropzone {{ $errors->has('cancelled_cheque') ? 'is-invalid' : '' }}" id="cancelled_cheque-dropzone">
                </div>
                @if($errors->has('cancelled_cheque'))
                    <div class="invalid-feedback">
                        {{ $errors->first('cancelled_cheque') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.cancelled_cheque_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="self_certification">{{ trans('cruds.registeredExporter.fields.self_certification') }}</label>
                <div class="needsclick dropzone {{ $errors->has('self_certification') ? 'is-invalid' : '' }}" id="self_certification-dropzone">
                </div>
                @if($errors->has('self_certification'))
                    <div class="invalid-feedback">
                        {{ $errors->first('self_certification') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.registeredExporter.fields.self_certification_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection

@section('scripts')
<script>
    Dropzone.options.gstDropzone = {
    url: '{{ route('admin.registered-exporters.storeMedia') }}',
    maxFilesize: 10, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 10
    },
    success: function (file, response) {
      $('form').find('input[name="gst"]').remove()
      $('form').append('<input type="hidden" name="gst" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="gst"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
@if(isset($registeredExporter) && $registeredExporter->gst)
      var file = {!! json_encode($registeredExporter->gst) !!}
          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="gst" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    Dropzone.options.iecDropzone = {
    url: '{{ route('admin.registered-exporters.storeMedia') }}',
    maxFilesize: 10, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 10
    },
    success: function (file, response) {
      $('form').find('input[name="iec"]').remove()
      $('form').append('<input type="hidden" name="iec" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="iec"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
@if(isset($registeredExporter) && $registeredExporter->iec)
      var file = {!! json_encode($registeredExporter->iec) !!}
          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="iec" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    Dropzone.options.panDropzone = {
    url: '{{ route('admin.registered-exporters.storeMedia') }}',
    maxFilesize: 10, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 10
    },
    success: function (file, response) {
      $('form').find('input[name="pan"]').remove()
      $('form').append('<input type="hidden" name="pan" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="pan"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
@if(isset($registeredExporter) && $registeredExporter->pan)
      var file = {!! json_encode($registeredExporter->pan) !!}
          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="pan" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    Dropzone.options.cancelledChequeDropzone = {
    url: '{{ route('admin.registered-exporters.storeMedia') }}',
    maxFilesize: 10, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 10
    },
    success: function (file, response) {
      $('form').find('input[name="cancelled_cheque"]').remove()
      $('form').append('<input type="hidden" name="cancelled_cheque" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="cancelled_cheque"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
@if(isset($registeredExporter) && $registeredExporter->cancelled_cheque)
      var file = {!! json_encode($registeredExporter->cancelled_cheque) !!}
          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="cancelled_cheque" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    Dropzone.options.selfCertificationDropzone = {
    url: '{{ route('admin.registered-exporters.storeMedia') }}',
    maxFilesize: 10, // MB
    maxFiles: 1,
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 10
    },
    success: function (file, response) {
      $('form').find('input[name="self_certification"]').remove()
      $('form').append('<input type="hidden" name="self_certification" value="' + response.name + '">')
    },
    removedfile: function (file) {
      file.previewElement.remove()
      if (file.status !== 'error') {
        $('form').find('input[name="self_certification"]').remove()
        this.options.maxFiles = this.options.maxFiles + 1
      }
    },
    init: function () {
@if(isset($registeredExporter) && $registeredExporter->self_certification)
      var file = {!! json_encode($registeredExporter->self_certification) !!}
          this.options.addedfile.call(this, file)
      file.previewElement.classList.add('dz-complete')
      $('form').append('<input type="hidden" name="self_certification" value="' + file.file_name + '">')
      this.options.maxFiles = this.options.maxFiles - 1
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
@endsection