@extends('layouts.admin')
@section('content')
@can('registered_exporter_create')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('admin.registered-exporters.create') }}">
                {{ trans('global.add') }} {{ trans('cruds.registeredExporter.title_singular') }}
            </a>
            <button class="btn btn-warning" data-toggle="modal" data-target="#csvImportModal">
                {{ trans('global.app_csvImport') }}
            </button>
            @include('csvImport.modal', ['model' => 'RegisteredExporter', 'route' => 'admin.registered-exporters.parseCsvImport'])
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        {{ trans('cruds.registeredExporter.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-RegisteredExporter">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.id') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.import_export_code') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.exporter_company_name') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.contact_mobile_no') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.gst_number') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.pan_number') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.email') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.address') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.postal_code') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.self_sealing_approval_no') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.self_sealing_approval_date') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.self_sealing_approved_by') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.commissionerate_address') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.gst') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.iec') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.pan') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.cancelled_cheque') }}
                        </th>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.self_certification') }}
                        </th>
                        <th>
                            &nbsp;
                        </th>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                            <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                        </td>
                        <td>
                        </td>
                        <td>
                        </td>
                        <td>
                        </td>
                        <td>
                        </td>
                        <td>
                        </td>
                        <td>
                        </td>
                    </tr>
                </thead>
                <tbody>
                    @foreach($registeredExporters as $key => $registeredExporter)
                        <tr data-entry-id="{{ $registeredExporter->id }}">
                            <td>

                            </td>
                            <td>
                                {{ $registeredExporter->id ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->import_export_code ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->exporter_company_name ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->contact_mobile_no ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->gst_number ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->pan_number ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->email ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->address ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->postal_code ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->self_sealing_approval_no ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->self_sealing_approval_date ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->self_sealing_approved_by ?? '' }}
                            </td>
                            <td>
                                {{ $registeredExporter->commissionerate_address ?? '' }}
                            </td>
                            <td>
                                @if($registeredExporter->gst)
                                    <a href="{{ $registeredExporter->gst->getUrl() }}" target="_blank">
                                        {{ trans('global.view_file') }}
                                    </a>
                                @endif
                            </td>
                            <td>
                                @if($registeredExporter->iec)
                                    <a href="{{ $registeredExporter->iec->getUrl() }}" target="_blank">
                                        {{ trans('global.view_file') }}
                                    </a>
                                @endif
                            </td>
                            <td>
                                @if($registeredExporter->pan)
                                    <a href="{{ $registeredExporter->pan->getUrl() }}" target="_blank">
                                        {{ trans('global.view_file') }}
                                    </a>
                                @endif
                            </td>
                            <td>
                                @if($registeredExporter->cancelled_cheque)
                                    <a href="{{ $registeredExporter->cancelled_cheque->getUrl() }}" target="_blank">
                                        {{ trans('global.view_file') }}
                                    </a>
                                @endif
                            </td>
                            <td>
                                @if($registeredExporter->self_certification)
                                    <a href="{{ $registeredExporter->self_certification->getUrl() }}" target="_blank">
                                        {{ trans('global.view_file') }}
                                    </a>
                                @endif
                            </td>
                            <td>
                                @can('registered_exporter_show')
                                    <a class="btn btn-xs btn-primary" href="{{ route('admin.registered-exporters.show', $registeredExporter->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                                @endcan

                                @can('registered_exporter_edit')
                                    <a class="btn btn-xs btn-info" href="{{ route('admin.registered-exporters.edit', $registeredExporter->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                                @endcan

                                @can('registered_exporter_delete')
                                    <form action="{{ route('admin.registered-exporters.destroy', $registeredExporter->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan

                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('registered_exporter_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.registered-exporters.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 10,
  });
  let table = $('.datatable-RegisteredExporter:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
let visibleColumnsIndexes = null;
$('.datatable thead').on('input', '.search', function () {
      let strict = $(this).attr('strict') || false
      let value = strict && this.value ? "^" + this.value + "$" : this.value

      let index = $(this).parent().index()
      if (visibleColumnsIndexes !== null) {
        index = visibleColumnsIndexes[index]
      }

      table
        .column(index)
        .search(value, strict)
        .draw()
  });
table.on('column-visibility.dt', function(e, settings, column, state) {
      visibleColumnsIndexes = []
      table.columns(":visible").every(function(colIdx) {
          visibleColumnsIndexes.push(colIdx);
      });
  })
})

</script>
@endsection