@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('cruds.registeredExporter.title') }}
    </div>

    <div class="card-body">
        <div class="form-group">
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.registered-exporters.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.id') }}
                        </th>
                        <td>
                            {{ $registeredExporter->id }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.import_export_code') }}
                        </th>
                        <td>
                            {{ $registeredExporter->import_export_code }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.exporter_company_name') }}
                        </th>
                        <td>
                            {{ $registeredExporter->exporter_company_name }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.contact_mobile_no') }}
                        </th>
                        <td>
                            {{ $registeredExporter->contact_mobile_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.gst_number') }}
                        </th>
                        <td>
                            {{ $registeredExporter->gst_number }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.pan_number') }}
                        </th>
                        <td>
                            {{ $registeredExporter->pan_number }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.email') }}
                        </th>
                        <td>
                            {{ $registeredExporter->email }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.address') }}
                        </th>
                        <td>
                            {{ $registeredExporter->address }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.postal_code') }}
                        </th>
                        <td>
                            {{ $registeredExporter->postal_code }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.self_sealing_approval_no') }}
                        </th>
                        <td>
                            {{ $registeredExporter->self_sealing_approval_no }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.self_sealing_approval_date') }}
                        </th>
                        <td>
                            {{ $registeredExporter->self_sealing_approval_date }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.self_sealing_approved_by') }}
                        </th>
                        <td>
                            {{ $registeredExporter->self_sealing_approved_by }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.commissionerate_address') }}
                        </th>
                        <td>
                            {{ $registeredExporter->commissionerate_address }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.gst') }}
                        </th>
                        <td>
                            @if($registeredExporter->gst)
                                <a href="{{ $registeredExporter->gst->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.iec') }}
                        </th>
                        <td>
                            @if($registeredExporter->iec)
                                <a href="{{ $registeredExporter->iec->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.pan') }}
                        </th>
                        <td>
                            @if($registeredExporter->pan)
                                <a href="{{ $registeredExporter->pan->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.cancelled_cheque') }}
                        </th>
                        <td>
                            @if($registeredExporter->cancelled_cheque)
                                <a href="{{ $registeredExporter->cancelled_cheque->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.registeredExporter.fields.self_certification') }}
                        </th>
                        <td>
                            @if($registeredExporter->self_certification)
                                <a href="{{ $registeredExporter->self_certification->getUrl() }}" target="_blank">
                                    {{ trans('global.view_file') }}
                                </a>
                            @endif
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.registered-exporters.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>



@endsection