@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.user.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ url("admin/postbranch") }}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <label for="branch_id">Branch</label>
                <input type="text" class="form-control" type="text"  id="branch_name" value="{{ $branch->name}}" readonly required>
                <input type="hidden" name="branch_id" id="branch_id" value="{{ $branch->id}}">
                <input type="hidden" name="user_id" id="user_id" value="{{ $userId}}">
            </div>
            <div class="form-group">
                <label for="state_id">{{ trans('cruds.user.fields.state') }}</label>
                <select required class="form-control select2 {{ $errors->has('state') ? 'is-invalid' : '' }}" name="state_id" id="state_id">
                    @foreach($states as $id => $entry)
                        <option value="{{ $id }}" {{ old('state_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('state'))
                    <div class="invalid-feedback">
                        {{ $errors->first('state') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.user.fields.state_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="city_id">{{ trans('cruds.user.fields.city') }}</label>
                <select required class="form-control select2 {{ $errors->has('city') ? 'is-invalid' : '' }}" name="city_id" id="city_id">
                    @foreach($cities as $id => $entry)
                        <option value="{{ $id }}" {{ old('city_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('city'))
                    <div class="invalid-feedback">
                        {{ $errors->first('city') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.user.fields.city_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="gst_number">{{ trans('cruds.user.fields.gst_number') }}</label>
                <input class="form-control {{ $errors->has('gst_number') ? 'is-invalid' : '' }}" type="text" name="gst_number" id="gst_number" value="{{ old('gst_number', '') }}">
                @if($errors->has('gst_number'))
                    <div class="invalid-feedback">
                        {{ $errors->first('gst_number') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.user.fields.gst_number_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="commissionerate_address">{{ trans('cruds.user.fields.commissionerate_address') }}</label>
                <textarea required class="form-control {{ $errors->has('commissionerate_address') ? 'is-invalid' : '' }}" name="commissionerate_address" id="commissionerate_address">{{ old('commissionerate_address') }}</textarea>
                @if($errors->has('commissionerate_address'))
                    <div class="invalid-feedback">
                        {{ $errors->first('commissionerate_address') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.user.fields.commissionerate_address_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection

@section('scripts')



@endsection