<?php

Route::group(['prefix' => 'v1', 'as' => 'api.', 'namespace' => 'Api\V1\Admin', 'middleware' => ['auth:api']], function () {
    // Permissions
    Route::apiResource('permissions', 'PermissionsApiController');

    // Roles
    Route::apiResource('roles', 'RolesApiController');

    // Users
    Route::post('users/media', 'UsersApiController@storeMedia')->name('users.storeMedia');
    Route::apiResource('users', 'UsersApiController');

    // Ports
    Route::apiResource('ports', 'PortsApiController');

    // Registered Exporters
    Route::post('registered-exporters/media', 'RegisteredExportersApiController@storeMedia')->name('registered-exporters.storeMedia');
    Route::apiResource('registered-exporters', 'RegisteredExportersApiController');

    // Esealtracking
    Route::apiResource('esealtrackings', 'EsealtrackingApiController');

    // States
    Route::apiResource('states', 'StatesApiController');

    // Cities
    Route::apiResource('cities', 'CitiesApiController');

    // Order
    Route::apiResource('orders', 'OrderApiController');

    // Seals
    Route::apiResource('seals', 'SealsApiController');

    // Export
    Route::apiResource('exports', 'ExportApiController');

    // Container Size
    Route::apiResource('container-sizes', 'ContainerSizeApiController');

    // Team
    Route::apiResource('teams', 'TeamApiController');

    // Supliers
    Route::apiResource('supliers', 'SupliersApiController');

    // Branches
    Route::apiResource('branches', 'BranchesApiController');

    // Add Branch
    Route::post('add-branches/media', 'AddBranchApiController@storeMedia')->name('add-branches.storeMedia');
    Route::apiResource('add-branches', 'AddBranchApiController');
});



